<mat-table [dataSource]="computers">

    <ng-container matColumnDef="location" *ngIf="showLocation">
        <mat-header-cell *matHeaderCellDef> Location </mat-header-cell>
        <mat-cell *matCellDef="let c"> {{c.location.name}}</mat-cell>
    </ng-container>

    <ng-container matColumnDef="name">
        <mat-header-cell *matHeaderCellDef> Name</mat-header-cell>
        <mat-cell *matCellDef="let c"> {{c.name}}</mat-cell>
    </ng-container>

    <ng-container matColumnDef="assetNum">
        <mat-header-cell *matHeaderCellDef> Asset Number</mat-header-cell>
        <mat-cell *matCellDef="let c"> {{c.assetNum}}</mat-cell>
    </ng-container>

    <ng-container matColumnDef="make">
        <mat-header-cell *matHeaderCellDef> Make</mat-header-cell>
        <mat-cell *matCellDef="let c"> {{c.make}}</mat-cell>
    </ng-container>

    <ng-container matColumnDef="model">
        <mat-header-cell *matHeaderCellDef> Model</mat-header-cell>
        <mat-cell *matCellDef="let c"> {{c.model}}</mat-cell>
    </ng-container>

    <ng-container matColumnDef="cpu">
        <mat-header-cell *matHeaderCellDef> CPU</mat-header-cell>
        <mat-cell *matCellDef="let c"> {{c.cpu}}</mat-cell>
    </ng-container>

    <ng-container matColumnDef="mem">
        <mat-header-cell *matHeaderCellDef> Memory</mat-header-cell>
        <mat-cell *matCellDef="let c"> {{c.memory}}</mat-cell>
    </ng-container>

    <ng-container matColumnDef="os">
        <mat-header-cell *matHeaderCellDef> OS</mat-header-cell>
        <mat-cell *matCellDef="let c"> {{c.os}}</mat-cell>
    </ng-container>

    <ng-container matColumnDef="wifi">
        <mat-header-cell *matHeaderCellDef>WiFi</mat-header-cell>
        <mat-cell *matCellDef="let c"> <mat-checkbox [(ngModel)]="c.wifi" disabled></mat-checkbox></mat-cell>
    </ng-container>

    <mat-header-row *matHeaderRowDef="columnsToDisplay"></mat-header-row>
    <mat-row *matRowDef="let row; columns: columnsToDisplay;" (click)="selectRow(row)" [ngClass]="{'highlight': selectedRowIndex == row.id}"></mat-row>
</mat-table>

